CS699:Project- Mess Management System

run migrations: python3 manage.py makemigrations
				python3 manage.py migrate

load initial data: python3 manage.py loaddata initial.fixtures

superuser credentials:
	username- sysad
	password- messadmin

Mess manager credentials:
	username- h4_manager
	password- messofh4

Mess worker credentials:
	username- mess_worker
	password- h4worker

Student credentials:
	username: <LDAP-ID> [193050003,193050022,193050058,193050059,193050067]
	password: student<last-2-digits-of-LDAP>

--STUDENT---

viewreq.html = view status of requests made by students (rebates request table to be added) also the homepage for students

rebates.html = apply for rebates

overheads.html = apply for overheads

--Mess worker--

appreq.html = approve overhead requests mae by students, this is also the homepage for mess workers

todaycount.html = shows today's total number of meals in each session and in total

counthistory.html = shows history of overhead requests of students and history of daily count


--Mess Manager--

apprebate.html = approve reabates (will be done by mess manager) also the homepage for him

setmealprice.html = to edit price of a meal (date feature can be added)

monthlyrepo.html = shows current month report

dailyreqhist.html = History of overhead requests



References:
https://oldcc.iitb.ac.in/engfaqgeneinf/engldap
https://django-auth-ldap.readthedocs.io/en/latest/
https://www.tldp.org/HOWTO/LDAP-HOWTO/authentication.html
https://developer.mozilla.org/en-US/docs/Learn/Server-side/First_steps/Introduction
https://developer.mozilla.org/en-US/docs/Learn/Server-side/Django